Skip to main content
GET
/
v1
/
portfolios
/
{portfolio_id}
/
transactions
List Portfolio Transactions
curl --request GET \
  --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/transactions
{
  "transactions": [
    {
      "id": "BTC-USD",
      "wallet_id": "cde8dd34-b6cf-4c2c-82bc-5f86adacc868",
      "portfolio_id": "0a66a8c0-24ea-4f18-b14f-8c9cf7c1ba40",
      "type": "DEPOSIT",
      "status": "TRANSACTION_CREATED",
      "symbol": "BTC",
      "created_at": "2021-05-31T11:59:59.000Z",
      "completed_at": "2021-05-31T12:09:31.000Z",
      "amount": "100",
      "transfer_from": {
        "type": "PAYMENT_METHOD",
        "value": "0bf7bf1e-bafa-4d7e-9312-fa0bf3b63f27",
        "address": 6.6325114945411165e+47,
        "account_identifier": "387879289"
      },
      "transfer_to": {
        "type": "PAYMENT_METHOD",
        "value": "0bf7bf1e-bafa-4d7e-9312-fa0bf3b63f27",
        "address": 6.6325114945411165e+47,
        "account_identifier": "387879289"
      },
      "network_fees": "1.99",
      "fees": "4.53",
      "fee_symbol": "USD",
      "blockchain_ids": [
        7.004643996595406e+76
      ],
      "transaction_id": "A1B2C3D4",
      "destination_symbol": "USD",
      "estimated_network_fees": {
        "lower_bound": "1.99",
        "upper_bound": "2.99"
      },
      "network": "ethereum-mainnet",
      "estimated_asset_changes": [
        {
          "type": "BALANCE_TRANSFER",
          "symbol": "ETH",
          "amount": "100",
          "collection": {
            "name": "<string>"
          },
          "item": {
            "name": "<string>"
          }
        }
      ],
      "metadata": {
        "match_metadata": {
          "reference_id": "<string>",
          "settlement_date": "<string>"
        },
        "web3_transaction_metadata": {
          "label": "<string>",
          "confirmed_asset_changes": [
            {
              "type": "BALANCE_TRANSFER",
              "symbol": "ETH",
              "amount": "100",
              "collection": {
                "name": "<string>"
              },
              "item": {
                "name": "<string>"
              }
            }
          ]
        },
        "reward_metadata": {
          "subtype": "MEV_REWARD"
        }
      },
      "idempotency_key": "<string>",
      "onchain_details": {
        "signed_transaction": "01ac1872bb2967df00124a7fd15e470a10aab04852e19fc6f...",
        "risk_assessment": {
          "compliance_risk_detected": false,
          "security_risk_detected": false
        },
        "chain_id": "1",
        "nonce": "42",
        "replaced_transaction_id": "123e4567-e89b-12d3-a456-426614174000",
        "destination_address": 6.6325114945411165e+47,
        "skip_broadcast": false,
        "failure_reason": "insufficient_funds",
        "signing_status": "SIGNED"
      },
      "network_info": {
        "id": "<string>",
        "type": "<string>"
      },
      "process_requirements": {
        "travel_rule_status": "TRAVEL_RULE_STATUS_UNSPECIFIED"
      }
    }
  ],
  "pagination": {
    "next_cursor": "<string>",
    "sort_direction": "DESC",
    "has_next": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
TransactionsService transactionsService = PrimeServiceFactory.createTransactionsService(client);

ListPortfolioTransactionsRequest request = new ListPortfolioTransactionsRequest.Builder()
    .portfolioId("PORTFOLIO_ID_HERE")
    .build();

ListPortfolioTransactionsResponse response = transactionsService.listPortfolioTransactions(request);
For more information, please visit the Prime Java SDK.

Path Parameters

portfolio_id
string
required

The portfolio ID

Query Parameters

symbols
string

A case insensitive list of symbols by which to filter the response

types
enum<string>[]

The transaction types by which to filter the response

  • TRANSACTION_TYPE_UNKNOWN: An unknown transaction type
  • DEPOSIT: A fiat or crypto deposit
  • WITHDRAWAL: A fiat or crypto withdrawal
  • INTERNAL_DEPOSIT: An internal fiat or crypto deposit
  • INTERNAL_WITHDRAWAL: An internal fiat or crypto withdrawal
  • SWEEP_DEPOSIT: Internal automated deposit to a cold address from a restored address
  • SWEEP_WITHDRAWAL: Internal automated withdrawal from a restored address to a cold address
  • PROXY_DEPOSIT: On-chain deposit of funds into proxy contract from cold address
  • PROXY_WITHDRAWAL: On-chain withdrawal of funds from proxy contract to cold address
  • BILLING_WITHDRAWAL: Coinbase Prime automated invoice settlement payment
  • REWARD: Reward payment to an associated address for a staked asset
  • COINBASE_REFUND: Coinbase Prime refund for the leftover amount for a CPFP (child pays for parent) transaction
  • TRANSACTION_TYPE_OTHER: An OTHER type of transaction
  • WITHDRAWAL_ADJUSTMENT: A manual adjustment withdrawal transaction
  • DEPOSIT_ADJUSTMENT: A manual adjustment deposit transaction
  • KEY_REGISTRATION: An on-chain registration for an address
  • DELEGATION: An on-chain delegation transaction
  • UNDELEGATION: An on-chain undelegation transaction
  • RESTAKE: On-chain restaking transaction
  • COMPLETE_UNBONDING: On-chain unbonding event transaction
  • WITHDRAW_UNBONDED: On-chain event indicating unbonding period is over
  • STAKE_ACCOUNT_CREATE: On-chain transaction to begin staking from an address
  • CHANGE_VALIDATOR: On-chain transaction alter validator
  • STAKE: On-chain transaction to begin staking in Cryptocurrency network
  • UNSTAKE: On-chain transaction to stop staking in Cryptocurrency network
  • REMOVE_AUTHORIZED_PARTY: On-chain transaction to remove a party from a multi-signature wallet
  • STAKE_AUTHORIZE_WITH_SEED: On-chain transaction to begin staking from a seed account
  • SLASH: On-chain transaction indicating a slash event has occurred
  • COINBASE_DEPOSIT: On-chain transaction deposit for the purpose of transaction operations
  • CONVERSION: Internal conversion between two assets
  • CLAIM_REWARDS: On-chain transaction to claim rewards from Vote Account
  • VOTE_AUTHORIZE: On-chain transaction to transfer the reward claiming permission to other pubkey
  • WEB3_TRANSACTION: On-chain transaction initiated with Prime Onchain Wallet Deprecated: Use ONCHAIN_TRANSACTION instead
  • ONCHAIN_TRANSACTION: On-chain transaction initiated with Prime Onchain Wallet
  • PORTFOLIO_STAKE: Portfolio-level staking operation
  • PORTFOLIO_UNSTAKE: Portfolio-level unstaking operation
Available options:
DEPOSIT,
WITHDRAWAL,
INTERNAL_DEPOSIT,
INTERNAL_WITHDRAWAL,
SWEEP_DEPOSIT,
SWEEP_WITHDRAWAL,
PROXY_DEPOSIT,
PROXY_WITHDRAWAL,
BILLING_WITHDRAWAL,
REWARD,
COINBASE_REFUND,
TRANSACTION_TYPE_OTHER,
WITHDRAWAL_ADJUSTMENT,
DEPOSIT_ADJUSTMENT,
KEY_REGISTRATION,
DELEGATION,
UNDELEGATION,
RESTAKE,
COMPLETE_UNBONDING,
WITHDRAW_UNBONDED,
STAKE_ACCOUNT_CREATE,
CHANGE_VALIDATOR,
STAKE,
UNSTAKE,
REMOVE_AUTHORIZED_PARTY,
STAKE_AUTHORIZE_WITH_SEED,
SLASH,
COINBASE_DEPOSIT,
CONVERSION,
CLAIM_REWARDS,
VOTE_AUTHORIZE,
WEB3_TRANSACTION,
ONCHAIN_TRANSACTION,
PORTFOLIO_STAKE,
PORTFOLIO_UNSTAKE
start_time
string<date-time>

UTC timestamp from which to filter the response (inclusive, ISO-8601 format)

end_time
string<date-time>

UTC timestamp until which to filter the response (exclusive, ISO-8601 format)

cursor
string

Id to retrieve additional results strictly after.

limit
integer<int32>

Number of items to retrieve

sort_direction
enum<string>
default:DESC

Page sorting direction

Available options:
DESC,
ASC
get_network_unified_transactions
boolean

Flag to request retrieval of all transactions across all networks for a given symbol

travel_rule_status
enum<string>[]

(Alpha) Filter for status of returned transactions' travel rule submissions - an inclusive OR filter

Available options:
TRAVEL_RULE_STATUS_UNSPECIFIED,
TRAVEL_RULE_STATUS_PENDING,
TRAVEL_RULE_STATUS_SUBMITTED

Response

200 - application/json

A successful response.

transactions
object[]
pagination
object